SEC Filings

US Filing

Call GET /us/filings/{accession_number} on the Corpus API.

GET /us/filings/{accession_number}

Call GET /us/filings/{accession_number} on the Corpus API.

Category: US · SEC Filings

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
accession_numberpathyesstring

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/filings/0000320193-25-000079' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonUSFilingResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonFilingProcessingErrorResponse

Representative 200 response

{
  "filing": {
    "cik": "0000320193",
    "accession_number": "0000320193-25-000079",
    "filing_type": "10-K",
    "report_date": "2025-12-31",
    "filing_date": "2025-12-31",
    "filing_datetime": "2025-12-31T23:59:59Z",
    "ticker": "AAPL",
    "url": "https://corpus-api.onera.app",
    "is_xbrl": true,
    "content_status": "pending"
  }
}